# $Revision: 1.304 $, $Date: 2012/03/03 20:13:00 $
#
# Workaround for xine-lib.spec - libstk.spec updating:
# 	1. make-request -r --without stk xine-lib
#	2. make-request -r libstk
#	3. bump release of xine-lib
#	4. make-request -r xine-lib
#
# Conditional build:
%bcond_without	aalib		# don't build aalib video output plugin
%bcond_without	alsa		# don't build ALSA audio output plugin
%bcond_without	caca		# don't build libcaca video output plugin
%bcond_without	directfb	# don't build DirectFB video output plugin
%bcond_without	dxr3		# don't build dxr3 video output and decode plugins
%bcond_without	dvd		# don't build dvdnav stuff
%bcond_with	esd		# build EsounD audio output plugin
%bcond_without	fusionsound	# don't build FusionSound audio output plugin
%bcond_without	gdkpixbuf	# don't build gdk-pixbuf decode plugin
%bcond_without	gnome		# don't build gnome_vfs input plugin
%bcond_without	opengl		# don't build OpenGL video output plugin
%bcond_without	pulseaudio	# don't build pulseaudio output plugin
%bcond_without	smb		# don't build SMB input plugin
%bcond_without	sdl		# don't build SDL video output plugin
%bcond_with	stk		# don't build stk video output plugin
%bcond_without	wavpack		# don't build wavpack decode plugin
%bcond_with	v4l1		# Video4Linux 1 input plugin (obsolete in current Linux)
%bcond_without	vis		# build without vis sparc extensions - with vis breaks compatibility
				# with v7 processors and enables vis optimization for sparc64 arch.
				# without vis is currently broken it fails on ffmpeg
#
%ifnarch %{ix86}
%undefine	with_dxr3
%endif
%ifnarch sparc sparcv9 sparc64
%undefine	with_vis
%endif

Summary:	A Free Video Player
Summary(ko.UTF-8):	공개 동영상 플레이어
Summary(pl.UTF-8):	Odtwarzacz filmów
Summary(pt_BR.UTF-8):	Xine, um player de video
Name:		xine-lib
Version:	1.2.1
Release:	3
Epoch:		2
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/xine/%{name}-%{version}.tar.bz2
# Source0-md5:	fdd1cf233bfd8b7fe65bf7ef9abfed34
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-win32-path.patch
Patch2:		%{name}-sh.patch
Patch3:		%{name}-ac.patch
URL:		http://xine.sourceforge.net/
%{?with_directfb:BuildRequires:	DirectFB-devel >= 0.9.22}
%{?with_fusionsound:BuildRequires:	FusionSound-devel >= 0.9.23}
BuildRequires:	ImageMagick-devel >= 1:6.0.0
%{?with_opengl:BuildRequires:	OpenGL-GLU-devel}
%{?with_opengl:BuildRequires:	OpenGL-glut-devel}
%{?with_sdl:BuildRequires:	SDL-devel >= 1.2.11}
BuildRequires:	a52dec-libs-devel
%{?with_aalib:BuildRequires:	aalib-devel >= 1.4}
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8.1
%{?with_esd:BuildRequires:	esound-devel >= 0.2.8}
BuildRequires:	faad2-devel
# libavcodec >= 51.68.0, libavutil >= 49.6.0, libpostproc
BuildRequires:	ffmpeg-devel >= 0.8
BuildRequires:	flac-devel
BuildRequires:	gettext-devel >= 0.17
%{?with_gnome:BuildRequires:	gnome-vfs2-devel}
%{?with_gdkpixbuf:BuildRequires:	gdk-pixbuf2-devel >= 2.0}
BuildRequires:	jack-audio-connection-kit-devel >= 0.100
%{?with_caca:BuildRequires:	libcaca-devel >= 0.99-0.beta14}
BuildRequires:	libcdio-devel >= 0.72
%{?with_dvd:BuildRequires:	libdvdnav-devel >= 0.1.9}
BuildRequires:	libdts-devel >= 0.0.5
%{?with_dxr3:BuildRequires:	libfame-devel >= 0.8.10}
BuildRequires:	libmad-devel
BuildRequires:	libmng-devel
BuildRequires:	libmodplug-devel >= 0.7
BuildRequires:	libmpcdec-devel
BuildRequires:	libpng-devel
# for rsvg tool
BuildRequires:	librsvg
%{?with_smb:BuildRequires:	libsmbclient-devel}
%{?with_stk:BuildRequires:	libstk-devel >= 0.2.0}
BuildRequires:	libtheora-devel
BuildRequires:	libtool >= 0:1.4.2-9
BuildRequires:	libvdpau-devel
BuildRequires:	libv4l-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxcb-devel >= 1.0
BuildRequires:	libxdg-basedir-devel >= 1
BuildRequires:	optipng
BuildRequires:	pkgconfig
%{?with_pulseaudio:BuildRequires:	pulseaudio-devel >= 0.9}
#%{?with_dxr3:BuildRequires:	rte-devel} # only 0.4 supported
BuildRequires:	speex-devel >= 1:1.1.6
BuildRequires:	vcdimager-devel >= 0.7.23
%{?with_wavpack:BuildRequires:	wavpack-devel >= 4.40}
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXvMC-devel
BuildRequires:	zlib-devel
# libtool problem (up to 1.4e)
BuildConflicts:	xine-lib-devel < 1.0
Requires:	libxdg-basedir >= 1
Obsoletes:	xine
Obsoletes:	xine-libs
Obsoletes:	xine-decode-xvid
Obsoletes:	xine-output-audio-arts
Obsoletes:	xine-output-video-syncfb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

# based on libtool numbers
%define		xine_pluginsdir	%{_libdir}/xine/plugins/2.1

%define		specflags	-fomit-frame-pointer

%description
xine is a free GPL-licensed video player for Unix-like systems. We
support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
eventually mpeg-4 and other formats might be added.

xine plays the video and audio data of mpeg-2 videos and synchronizes
the playback of both. Depending on the properties of the mpeg stream,
playback will need more or less processor power, 100% frame rate has
been seen on a 400 MHz P II system.

%description -l fr.UTF-8
xine est un lecteur vidéo libre sous license GPL pour les systèmes de
type Unix. Nous supportons les flux mpeg-2 et mpeg-1 (audio + vidéo
multiplexés), éventuellement le mpeg-4 et d'autres formats peuvent
êtres ajoutés.

xine joue les données vidéo et audio de vidéo mpeg-2 et synchronise la
lecture des deux. En fonction des propriétes du flux mpeg, la lecture
aura besoin de plus ou moins de puissance du processeur, 100% de
restitution de trame a été vus sur un système PII 400MHz.

%description -l ko.UTF-8
xine 는 GPL라이선스를 따르는 UNIX용 공개 동영상 플레이어입니다. 이
플레이어는 mpeg-2 와 mpeg 1 스트림을 지원하며, 현재는 지원하지 않지만
나중에는 mpeg-4 와 다른 형식의 동영상도 지원할 예정입니다.

%description -l pl.UTF-8
xine jest wolnodostępnym odtwarzaczem filmów dla systemów uniksowych.
Obsługuje strumienie MPEG-2 i MPEG-1 (dźwięk oraz obraz), może być
dodana obsługa MPEG-4 i innych formatów.

xine odczytuje obraz i dźwięk z filmów MPEG-2 i synchronizuje ich
odtwarzanie. Zależnie od właściwości strumienia MPEG, odtwarzanie może
wymagać więcej lub mniej mocy procesora, 100% klatek może być widoczne
na P II 400MHz.

%description -l pt_BR.UTF-8
O xine é um video player GPL para sistemas unix. Lê arquivos MPEG-2 e
MPEG-1, além de AVIs MS MPEG4 / OpenDivX.

O xine lê o conteúdo vídeo e áudio e sincroniza-os em tempo-real. As
necessidades de processador dependem das propriedades de cada arquivo.

%package devel
Summary:	XINE - development files
Summary(pl.UTF-8):	Pliki dla programistów XINE
Summary(pt_BR.UTF-8):	XINE - arquivos de desenvolvimento
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
# libavutil >= 49.6.0
Requires:	ffmpeg-devel >= 0.8
Requires:	libxdg-basedir-devel >= 1
Requires:	zlib-devel
Obsoletes:	xine-devel

%description devel
HTML documentation of XINE API and development components.

%description devel -l pl.UTF-8
Pliki dla programistów oraz dokumentacja HTML do API XINE.

%description devel -l pt_BR.UTF-8
Arquivos include a bibliotecas estáticas necessárias para compilar
plugins para o xine e o xine-ui.

%package -n xine-decode-a52
Summary:	XINE - A52 audio decoder plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera dźwięku A52
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-decode-a52
XINE - A52 audio decoder plugin.

%description -n xine-decode-a52 -l pl.UTF-8
XINE - wtyczka dekodera dźwięku A52.

%package -n xine-decode-dts
Summary:	XINE - DTS audio decoder plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera dźwięku DTS
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libdts >= 0.0.5

%description -n xine-decode-dts
XINE - DTS audio decoder plugin.

%description -n xine-decode-dts -l pl.UTF-8
XINE - wtyczka dekodera dźwięku DTS.

%package -n xine-decode-faad
Summary:	XINE - FAAD audio decoder plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera dźwięku FAAD
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-decode-faad
XINE - FAAD audio decoder plugin.

%description -n xine-decode-faad -l pl.UTF-8
XINE - wtyczka dekodera dźwięku FAAD.

%package -n xine-decode-ffmpeg
Summary:	XINE - FFmpeg decoder plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera FFmpeg
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-decode-ffmpeg
XINE - FFmpeg decoder plugin.

%description -n xine-decode-ffmpeg -l pl.UTF-8
XINE - wtyczka dekodera FFmpeg.

%package -n xine-decode-flac
Summary:	XINE - FLAC audio decoder plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera dźwięku FLAC
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-decode-flac
XINE - FLAC audio decoder/demuxer plugin.

%description -n xine-decode-flac -l pl.UTF-8
XINE - wtyczka dekodera i demuxera dźwięku FLAC.

%package -n xine-decode-gdkpixbuf
Summary:	XINE - gdk-pixbuf based image decoder plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera obrazów opartego na gdk-pixbuf
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-decode-gdkpixbuf
XINE - gdk-pixbuf based image decoder plugin.

%description -n xine-decode-gdkpixbuf -l pl.UTF-8
XINE - wtyczka dekodera obrazów opartego na gdk-pixbuf.

%package -n xine-decode-image
Summary:	XINE - ImageMagick based image decoder plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera obrazów opartego na ImageMagick
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-decode-image
XINE - ImageMagick based image decoder plugin.

%description -n xine-decode-image -l pl.UTF-8
XINE - wtyczka dekodera obrazów opartego na ImageMagick.

%package -n xine-decode-mad
Summary:	XINE - MAD-based MP3 audio decoder plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera dźwięku MP3 oparta na bibliotece MAD
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-decode-mad
XINE - MAD-based MP3 audio decoder plugin.

%description -n xine-decode-mad -l pl.UTF-8
XINE - wtyczka dekodera dźwięku MP3 oparta na bibliotece MAD.

%package -n xine-decode-modplug
Summary:	XINE - ModPlug-based MOD audio decoder/demuxer plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera/demuksera dźwięku MOD oparta na bibliotece ModPlug
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libmodplug >= 0.7

%description -n xine-decode-modplug
XINE - ModPlug-based MOD audio decoder/demuxer plugin.

%description -n xine-decode-modplug -l pl.UTF-8
XINE - wtyczka dekodera/demuksera dźwięku MOD oparta na bibliotece
ModPlug.

%package -n xine-decode-mpc
Summary:	XINE - MPC/MusePack audio decoder plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera dźwięku MPC/MusePack
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-decode-mpc
XINE - MPC/MusePack audio decoder plugin.

%description -n xine-decode-mpc -l pl.UTF-8
XINE - wtyczka dekodera dźwięku MPC/MusePack.

%package -n xine-decode-mng
Summary:	XINE - MNG animation decoder/demuxer plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera/demuksera animacji MNG
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-decode-mng
XINE - MNG animation decoder/demuxer plugin.

%description -n xine-decode-mng -l pl.UTF-8
XINE - wtyczka dekodera/demuksera animacji MNG.

%package -n xine-decode-ogg
Summary:	XINE - Ogg/Vorbis, Ogg/Speex, Ogg/Theora decoder plugins
Summary(pl.UTF-8):	XINE - wtyczki dekoderów Ogg/Vorbis, Ogg/Speex, Ogg/Theora
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	speex >= 1:1.1.6
Obsoletes:	xine-decode-vorbis

%description -n xine-decode-ogg
XINE Ogg/Vorbis, Ogg/Speex, Ogg/Theora decoding plugins: Ogg demuxer,
Vorbis, Speex and Theora decoders.

%description -n xine-decode-ogg -l pl.UTF-8
Wtyczki XINE dekodujące Ogg/Vorbis, Ogg/Speex, Ogg/Theora: demuxer Ogg
oraz dekodery Vorbis, Speex, Theora.

%package -n xine-decode-w32dll
Summary:	XINE - win32dll decoder support
Summary(pl.UTF-8):	XINE - obsługa dekodera win32dll
Summary(pt_BR.UTF-8):	XINE - suporte a decoder win32dll
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Suggests:	w32codec
Obsoletes:	xine-lib-w32dll

%description -n xine-decode-w32dll
XINE win32dll decoder support.

%description -n xine-decode-w32dll -l pl.UTF-8
Obsługa dekodera win32dll do XINE.

%description -n xine-decode-w32dll -l pt_BR.UTF-8
Suporte a win32dll para o xine.

%package -n xine-decode-wavpack
Summary:	XINE - wavpack audio decoder plugin
Summary(pl.UTF-8):	XINE - wtyczka dekodera dźwięku wavpack
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	wavpack >= 4.40

%description -n xine-decode-wavpack
XINE - wavpack audio decoder/demuxer plugin.

%description -n xine-decode-wavpack -l pl.UTF-8
XINE - wtyczka dekodera/demuxera dźwięku wavpack.

%package -n xine-input-dvd
Summary:	XINE input plugin for DVD
Summary(pl.UTF-8):	Wtyczka wejściowa XINE dla DVD
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libdvdnav >= 0.1.9

%description -n xine-input-dvd
XINE input plugin and DVD/VOB SPU decoder for DVD.

%description -n xine-input-dvd -l pl.UTF-8
Wtyczka wejściowa XINE dla DVD oraz dekoder SPU DVD/VOB.

%package -n xine-input-gnome-vfs
Summary:	GNOME VFS input driver for xine
Summary(pl.UTF-8):	Sterownik wejścia GNOME VFS dla xine
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-input-gnome-vfs

%description -n xine-input-gnome-vfs
GNOME VFS input driver for xine.

%description -n xine-input-gnome-vfs -l pl.UTF-8
Sterownik wejścia GNOME VFS dla xine.

%package -n xine-input-smb
Summary:	SMB input driver for xine
Summary(pl.UTF-8):	Sterownik wejścia SMB dla xine
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-input-smb
SMB input driver for xine.

%description -n xine-input-smb -l pl.UTF-8
Sterownik wejścia SMB dla xine.

%package -n xine-input-v4l
Summary:	Video4Linux input driver for xine
Summary(pl.UTF-8):	Sterownik wejścia Video4Linux dla xine
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-input-v4l
Video4Linux input driver for xine.

%description -n xine-input-v4l -l pl.UTF-8
Sterownik wejścia Video4Linux dla xine.

%package -n xine-input-vcd
Summary:	VCD input driver for xine
Summary(pl.UTF-8):	Sterownik wejścia VCD dla xine
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libcdio >= 0.72
Requires:	vcdimager >= 0.7.23

%description -n xine-input-vcd
VCD input driver for xine (for reading VideoCD).

%description -n xine-input-vcd -l pl.UTF-8
Sterownik wejścia VCD dla xine (do czytania VideoCD).

%package -n xine-output-audio-alsa
Summary:	XINE - alsa support
Summary(pl.UTF-8):	XINE - obsługa alsa
Summary(pt_BR.UTF-8):	XINE - suporte a alsa
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-audio = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-alsa

%description -n xine-output-audio-alsa
XINE audio output plugin with alsa support.

%description -n xine-output-audio-alsa -l pl.UTF-8
Wtyczka wyjścia dźwięku do XINE z obsługą ALSA.

%description -n xine-output-audio-alsa -l pt_BR.UTF-8
Plugin de audio para o xine, com suporte a alsa.

%package -n xine-output-audio-esd
Summary:	XINE - esd support
Summary(pl.UTF-8):	XINE - obsługa esd
Summary(pt_BR.UTF-8):	XINE - suporte a esd
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	esound >= 0.2.8
Provides:	xine-plugin-audio = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-esd

%description -n xine-output-audio-esd
XINE audio output plugin with esd support.

%description -n xine-output-audio-esd -l pl.UTF-8
Wtyczka wyjścia dźwięku do XINE z obsługą esd.

%description -n xine-output-audio-esd -l pt_BR.UTF-8
Plugin de audio para o xine, com suporte a esd.

%package -n xine-output-audio-fusionsound
Summary:	XINE - FusionSound support
Summary(pl.UTF-8):	XINE - obsługa FusionSound
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	FusionSound >= 0.9.23
Provides:	xine-plugin-audio = %{epoch}:%{version}-%{release}

%description -n xine-output-audio-fusionsound
XINE audio output plugin with FusionSound support.

%description -n xine-output-audio-fusionsound -l pl.UTF-8
Wtyczka wyjścia dźwięku do XINE z obsługą FusionSound.

%package -n xine-output-audio-jack
Summary:	XINE - JACK support
Summary(pl.UTF-8):	XINE - obsługa demona JACK
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	jack-audio-connection-kit >= 0.100
Provides:	xine-plugin-audio = %{epoch}:%{version}-%{release}

%description -n xine-output-audio-jack
XINE audio output plugin with JACK support.

%description -n xine-output-audio-jack -l pl.UTF-8
Wtyczka wyjścia dźwięku do XINE z obsługa demona JACK.

%package -n xine-output-audio-oss
Summary:	XINE - OSS support
Summary(pl.UTF-8):	XINE - obsługa OSS
Summary(pt_BR.UTF-8):	XINE - suporte a oss
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-audio = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-oss

%description -n xine-output-audio-oss
XINE audio output plugin with OSS support.

%description -n xine-output-audio-oss -l pl.UTF-8
Wtyczka wyjścia dźwięku do XINE z obsługą OSS.

%description -n xine-output-audio-oss -l pt_BR.UTF-8
Plugin de audio para o xine, com suporte a oss.

%package -n xine-output-audio-pulseaudio
Summary:	XINE - pulseaudio support
Summary(pl.UTF-8):	XINE - obsługa pulseaudio
Summary(pt_BR.UTF-8):	XINE - suporte a pulseaudio
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	pulseaudio >= 0.9
Provides:	xine-plugin-audio = %{epoch}:%{version}-%{release}
Obsoletes:	xine-output-audio-polypaudio

%description -n xine-output-audio-pulseaudio
XINE audio output plugins with pulseaudio support.

%description -n xine-output-audio-pulseaudio -l pl.UTF-8
Wtyczka wyjścia dźwięku do XINE z obsługą pulseaudio.

%description -n xine-output-audio-pulseaudio -l pt_BR.UTF-8
Plugin de audio para o xine, com suporte a pulseaudio.

%package -n xine-output-video-aa
Summary:	XINE - Ascii Art support
Summary(pl.UTF-8):	XINE - obsługa Ascii Art
Summary(pt_BR.UTF-8):	XINE - suporte a aalib
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	aalib >= 1.4
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-aa

%description -n xine-output-video-aa
XINE video output plugin using Ascii Art library.

%description -n xine-output-video-aa -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE z obsługą Ascii Art.

%description -n xine-output-video-aa -l pt_BR.UTF-8
Plugin de video para o xine, utilizando a aalib.

%package -n xine-output-video-directfb
Summary:	XINE - accelereted framebuffer support
Summary(pl.UTF-8):	XINE - obsługa akcelerowanego framebuffera
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	DirectFB >= 0.9.22
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-directfb

%description -n xine-output-video-directfb
XINE video output plugin for accelereted framebuffer support (with
DirectFB library).

%description -n xine-output-video-directfb -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE dla akcelerowanego framebuffera (przez
bibliotekę DirectFB).

%package -n xine-output-video-dxr3
Summary:	XINE - DXR3 video output and acceleration support
Summary(pl.UTF-8):	XINE - obsługa wyjścia obrazu oraz akceleracji DXR3
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libfame >= 0.8.10
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-dxr3

%description -n xine-output-video-dxr3
XINE video output plugin and accelerated decoders using DXR3 card.

%description -n xine-output-video-dxr3 -l pl.UTF-8
Wtyczka wyjścia oraz akcelerowanych dekoderów obrazu do XINE z obsługą
kart DXR3.

%package -n xine-output-video-caca
Summary:	XINE - Color AsCii Art support
Summary(pl.UTF-8):	XINE - obsługa Color AsCii Art
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libcaca >= 0.99-0.beta14
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}

%description -n xine-output-video-caca
Color AsCii Art output plugin for xine.

%description -n xine-output-video-caca -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE dla kolorowego wyjścia AsCii Art.

%package -n xine-output-video-fb
Summary:	XINE - framebuffer support
Summary(pl.UTF-8):	XINE - obsługa framebuffera
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-fb

%description -n xine-output-video-fb
XINE video output plugin using Linux framebuffer.

%description -n xine-output-video-fb -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE dla linuksowego framebuffera.

%package -n xine-output-video-opengl
Summary:	XINE - OpenGL video output
Summary(pl.UTF-8):	XINE - wyświetlanie przez OpenGL
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-opengl

%description -n xine-output-video-opengl
XINE video output plugin using OpenGL.

%description -n xine-output-video-opengl -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE wykorzystująca OpenGL do wyświetlania.

%package -n xine-output-video-sdl
Summary:	XINE - SDL output support
Summary(pl.UTF-8):	XINE - obsługa wyjścia SDL
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	SDL >= 1.2.11
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-sdl

%description -n xine-output-video-sdl
XINE video output plugin using SDL library.

%description -n xine-output-video-sdl -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE wyświetlająca poprzez bibliotekę SDL.

%package -n xine-output-video-stk
Summary:	XINE - STK video output support
Summary(pl.UTF-8):	XINE - obsługa wyjścia obrazu STK
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libstk(xine) >= 0.2.0
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-sdl

%description -n xine-output-video-stk
XINE video output plugin using libstk library.

%description -n xine-output-video-stk -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE wyświetlająca poprzez bibliotekę
libstk.

%package -n xine-output-video-vdpau
Summary:	XINE - VDPAU video output and acceleration support
Summary(pl.UTF-8):	XINE - obsługa wyjścia obrazu oraz akceleracji VDPAU
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}

%description -n xine-output-video-vdpau
XINE video output plugin and accelerated decoders using VDPAU.

%description -n xine-output-video-vdpau -l pl.UTF-8
Wtyczka wyjścia oraz akcelerowanych dekoderów obrazu do XINE wykorzystujących
VDPAU.

%package -n xine-output-video-vidix
Summary:	XINE - VIDIX video output plugin
Summary(pl.UTF-8):	XINE - wtyczka wyjścia obrazu VIDIX
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}

%description -n xine-output-video-vidix
XINE video output plugin using VIDIX.

%description -n xine-output-video-vidix -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE używająca VIDIX.

%package -n xine-output-video-vidix-cyberblade
Summary:	VIDIX driver for Cyberblade/i1 chips
Summary(pl.UTF-8):	Sterownik VIDIX dla układów Cyberblade/i1
Group:		Libraries
Requires:	xine-output-video-vidix = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-vidix-cyberblade

%description -n xine-output-video-vidix-cyberblade
VIDIX driver for Cyberblade/i1 chips.

%description -n xine-output-video-vidix-cyberblade -l pl.UTF-8
Sterownik VIDIX dla układów Cyberblade/i1.

%package -n xine-output-video-vidix-mach64
Summary:	VIDIX driver for Mach64 and 3Drage chips
Summary(pl.UTF-8):	Sterownik VIDIX dla układów Mach64 oraz 3DRage
Group:		Libraries
Requires:	xine-output-video-vidix = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-vidix-mach64

%description -n xine-output-video-vidix-mach64
VIDIX driver for Mach64 and 3Drage chips.

%description -n xine-output-video-vidix-mach64 -l pl.UTF-8
Sterownik VIDIX dla układów Mach64 oraz 3DRage.

%package -n xine-output-video-vidix-matrox
Summary:	VIDIX drivers for Matrox Mga chips
Summary(pl.UTF-8):	Sterowniki VIDIX dla układów Matrox Mga
Group:		Libraries
Requires:	xine-output-video-vidix = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-vidix-matrox

%description -n xine-output-video-vidix-matrox
VIDIX drivers for Matrox Mga chips.

%description -n xine-output-video-vidix-matrox -l pl.UTF-8
Sterowniki VIDIX dla układów Matrox Mga.

%package -n xine-output-video-vidix-nvidia
Summary:	VIDIX driver for Riva and Riva-derived chips
Summary(pl.UTF-8):	Sterownik VIDIX dla układów Riva oraz pochodnych
Group:		Libraries
Requires:	xine-output-video-vidix = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-vidix-nvidia

%description -n xine-output-video-vidix-nvidia
VIDIX driver for Riva and Riva-derived chips, e.g. Riva TNT, GeForce
2.

%description -n xine-output-video-vidix-nvidia -l pl.UTF-8
Sterownik VIDIX dla układów Riva oraz pochodnych.

%package -n xine-output-video-vidix-permedia
Summary:	VIDIX drivers for 3Dlabs GLINT R3 and Permedia chips
Summary(pl.UTF-8):	Sterowniki VIDIX dla układów 3Dlabs GLINT R3 oraz Permedia
Group:		Libraries
Requires:	xine-output-video-vidix = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-vidix-permedia

%description -n xine-output-video-vidix-permedia
VIDIX drivers for 3Dlabs GLINT R3 and Permedia chips.

%description -n xine-output-video-vidix-permedia -l pl.UTF-8
Sterowniki VIDIX dla układów 3Dlabs GLINT R3 oraz Permedia.

%package -n xine-output-video-vidix-radeon
Summary:	VIDIX driver for Radeon chips
Summary(pl.UTF-8):	Sterownik VIDIX dla układów Radeon
Group:		Libraries
Requires:	xine-output-video-vidix = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-vidix-radeon

%description -n xine-output-video-vidix-radeon
VIDIX driver for Radeon chips.

%description -n xine-output-video-vidix-radeon -l pl.UTF-8
Sterownik VIDIX dla układów Radeon.

%package -n xine-output-video-vidix-rage128
Summary:	VIDIX driver for Rage128 chips
Summary(pl.UTF-8):	Sterownik VIDIX dla układów Rage128
Group:		Libraries
Requires:	xine-output-video-vidix = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-vidix-rage128

%description -n xine-output-video-vidix-rage128
VIDIX driver for Rage128 chips.

%description -n xine-output-video-vidix-rage128 -l pl.UTF-8
Sterownik VIDIX dla układów Rage128.

%package -n xine-output-video-vidix-savage
Summary:	VIDIX driver for S3 Savage chips
Summary(pl.UTF-8):	Sterownik VIDIX dla układów S3 Savage
Group:		Libraries
Requires:	xine-output-video-vidix = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}

%description -n xine-output-video-vidix-savage
VIDIX driver for S3 Savage series chips.

%description -n xine-output-video-vidix-savage -l pl.UTF-8
Sterownik VIDIX dla układów S3 serii Savage.

%package -n xine-output-video-vidix-sis
Summary:	VIDIX driver for SiS chips
Summary(pl.UTF-8):	Sterownik VIDIX dla układów SiS
Group:		Libraries
Requires:	xine-output-video-vidix = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}

%description -n xine-output-video-vidix-sis
VIDIX driver for SiS 300 and 310/325 series chips.

%description -n xine-output-video-vidix-sis -l pl.UTF-8
Sterownik VIDIX dla układów SiS serii 300 i 310/325.

%package -n xine-output-video-vidix-unichrome
Summary:	VIDIX driver for VIA CLE266 Unichrome chips
Summary(pl.UTF-8):	Sterownik VIDIX dla układów VIA CLE266 Unichrome
Group:		Libraries
Requires:	xine-output-video-vidix = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}

%description -n xine-output-video-vidix-unichrome
VIDIX driver for VIA CLE266 Unichrome chips.

%description -n xine-output-video-vidix-unichrome -l pl.UTF-8
Sterownik VIDIX dla układów VIA CLE2666 Unichrome.

%package -n xine-output-video-xcb
Summary:	XINE - XCB support
Summary(pl.UTF-8):	XINE - obsługa XCB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libxcb >= 1.0
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-xshm

%description -n xine-output-video-xcb
XINE video output plugin using XShm or Xv via XCB.

%description -n xine-output-video-xcb -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE z obsługą XShm lub Xv poprzez XCB.

%package -n xine-output-video-xdirectfb
Summary:	XINE - accelereted DirectFB X11 support
Summary(pl.UTF-8):	XINE - obsługa DirectFB X11
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-directfb

%description -n xine-output-video-xdirectfb
XINE video output plugin for DirectFB X11.

%description -n xine-output-video-xdirectfb -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE dla DirectFB X11.

%package -n xine-output-video-xshm
Summary:	XINE - XFree XShm support
Summary(pl.UTF-8):	XINE - obsługa XFree XShm
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-xshm

%description -n xine-output-video-xshm
XINE video output plugin using XFree MIT shared memory.

%description -n xine-output-video-xshm -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE z obsługą XFree MIT shared memory.

%package -n xine-output-video-xv
Summary:	XINE - XFree XVideo support
Summary(pl.UTF-8):	XINE - obsługa XFree XVideo
Summary(pt_BR.UTF-8):	XINE - suporte a XFree XVideo
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xine-plugin-video = %{epoch}:%{version}-%{release}
Obsoletes:	xine-lib-xv

%description -n xine-output-video-xv
XINE video output plugin using XFree XVideo extension.

%description -n xine-output-video-xv -l pl.UTF-8
Wtyczka wyjścia obrazu do XINE używająca rozszerzenia XVideo.

%description -n xine-output-video-xv -l pt_BR.UTF-8
Plugin de video para o xine, utilizando a extensão XVideo do XFree.

%package -n xine-post-ffmpeg
Summary:	XINE - postprocessing plugin based on FFmpeg's libpostproc
Summary(pl.UTF-8):	XINE - wtyczka postprocessingu oparta na libpostproc z pakietu FFmpeg
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n xine-post-ffmpeg
XINE - postprocessing plugin based on FFmpeg's libpostproc.

%description -n xine-post-ffmpeg -l pl.UTF-8
XINE - wtyczka postprocessingu oparta na libpostproc z pakietu FFmpeg.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
# --disable-optimizations to honour our optflags
%configure \
%if %{with vis}
	CFLAGS="%{rpmcflags} -mvis" \
%endif
	--enable-a52dec \
	%{!?with_aalib:--disable-aalib} \
	%{?with_directfb:--enable-directfb} \
	--enable-dts \
	%{!?with_dxr3:--disable-dxr3} \
	%{!?with_gdkpixbuf:--disable-gdkpixbuf} \
	--enable-ipv6 \
	--enable-mad \
	--disable-optimizations \
	%{!?with_smb:--disable-samba} \
	--disable-silent-rules \
	%{!?with_vis:--disable-vis} \
	%{?with_aalib:--with-aalib-prefix=/usr} \
	%{!?with_alsa:--without-alsa} \
	%{!?with_esd:--without-esound} \
	--with-external-dvdnav \
	%{?with_fusionsound:--with-fusionsound} \
	--with-libflac \
	%{?with_stk:--with-libstk} \
	%{!?with_pulseaudio:--without-pulseaudio} \
	--with-real-codecs-path=%{_libdir}/codecs \
	--with-speex \
	--with-theora \
	--with-vorbis \
	%{?with_wavpack:--with-wavpack} \
	--with-w32-path=/usr/lib/codecs \
	--with-xcb
# V=1 because misc/Makefile.quiet overrides silent-rules setting
%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%find_lang libxine2

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f libxine2.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%attr(755,root,root) %{_bindir}/xine-list-1.2
%attr(755,root,root) %{_libdir}/libxine.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxine.so.2
%dir %{_datadir}/xine-lib
%{_datadir}/xine-lib/fonts
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%dir %{xine_pluginsdir}
%{xine_pluginsdir}/mime.types
%dir %{xine_pluginsdir}/post
%attr(755,root,root) %{xine_pluginsdir}/post/xineplug_post_audio_filters.so
%attr(755,root,root) %{xine_pluginsdir}/post/xineplug_post_goom.so
%attr(755,root,root) %{xine_pluginsdir}/post/xineplug_post_mosaico.so
%attr(755,root,root) %{xine_pluginsdir}/post/xineplug_post_switch.so
%attr(755,root,root) %{xine_pluginsdir}/post/xineplug_post_tvtime.so
%attr(755,root,root) %{xine_pluginsdir}/post/xineplug_post_visualizations.so
%{_docdir}/xine-lib
%{_mandir}/man1/xine-list-1.2.1*
%{_mandir}/man5/xine.5*

# input plugins
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_cdda.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_dvb.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_file.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_http.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_mms.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_net.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_pnm.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_rtp.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_rtsp.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_stdin_fifo.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_vcdo.so

# demuxer plugins
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_asf.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_audio.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_avi.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_fli.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_flv.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_games.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_iff.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_image.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_matroska.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_playlist.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_vc1_es.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_mpeg*.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_nsv.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_pva.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_qt.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_rawdv.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_real.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_slave.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_yuv4mpeg2.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_yuv_frames.so

# decoder plugins
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_bitplane.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_dvaudio.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_gsm610.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_lpcm.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_mpeg2.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_real.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_rgb.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_spucc.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_spucmml.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_spuhdmv.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_spudvb.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_yuv.so

# Others
%attr(755,root,root) %{xine_pluginsdir}/xineplug_ao_out_file.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_ao_out_none.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_none.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_raw.so

# ?
%attr(755,root,root) %{xine_pluginsdir}/xineplug_nsf.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_sputext.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vdr.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xine-config
%attr(755,root,root) %{_libdir}/libxine.so
%{_libdir}/libxine.la
# "weak" library provided by libxine
%{_libdir}/libxine-interface.la
%{_includedir}/xine.h
%{_includedir}/xine
%{_aclocaldir}/xine.m4
%{_pkgconfigdir}/libxine.pc
%{_mandir}/man1/xine-config.1*

%files -n xine-decode-a52
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_a52.so

%files -n xine-decode-dts
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_dts.so

%files -n xine-decode-faad
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_faad.so

%files -n xine-decode-ffmpeg
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_ff.so

%files -n xine-decode-flac
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_flac.so

%if %{with gdkpixbuf}
%files -n xine-decode-gdkpixbuf
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_gdk_pixbuf.so
%endif

%files -n xine-decode-image
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_image.so

%files -n xine-decode-mad
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_mad.so

%files -n xine-decode-modplug
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_modplug.so

%files -n xine-decode-mpc
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_mpc.so

%files -n xine-decode-mng
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_dmx_mng.so

%files -n xine-decode-ogg
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_xiph.so

%ifarch %{ix86}
%files -n xine-decode-w32dll
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_qt.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_w32dll.so
%endif

%if %{with wavpack}
%files -n xine-decode-wavpack
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_wavpack.so
%endif

%if %{with dvd}
%files -n xine-input-dvd
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_spu.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_dvd.so
%endif

%if %{with gnome}
%files -n xine-input-gnome-vfs
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_gnome_vfs.so
%endif

%if %{with smb}
%files -n xine-input-smb
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_smb.so
%endif

%files -n xine-input-v4l
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_pvr.so
%if %{with v4l1}
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_v4l.so
%endif
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_v4l2.so

%files -n xine-input-vcd
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_inp_vcd.so

%if %{with alsa}
%files -n xine-output-audio-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_ao_out_alsa.so
%endif

%if %{with esd}
%files -n xine-output-audio-esd
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_ao_out_esd.so
%endif

%if %{with fusionsound}
%files -n xine-output-audio-fusionsound
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_ao_out_fusionsound.so
%endif

%files -n xine-output-audio-jack
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_ao_out_jack.so

%files -n xine-output-audio-oss
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_ao_out_oss.so

%if %{with pulseaudio}
%files -n xine-output-audio-pulseaudio
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_ao_out_pulseaudio.so
%endif

%if %{with aalib}
%files -n xine-output-video-aa
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_aa.so
%endif

%if %{with directfb}
%files -n xine-output-video-directfb
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_directfb.so
%endif

%if %{with dxr3}
%files -n xine-output-video-dxr3
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_dxr3_spu.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_dxr3_video.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_dxr3.so
%endif

%if %{with caca}
%files -n xine-output-video-caca
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_caca.so
%endif

%files -n xine-output-video-fb
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_fb.so

%if %{with opengl}
%files -n xine-output-video-opengl
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_opengl.so
%endif

%if %{with sdl}
%files -n xine-output-video-sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_sdl.so
%endif

%if %{with stk}
%files -n xine-output-video-stk
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_stk.so
%endif

%files -n xine-output-video-vdpau
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_vdpau_h264.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_vdpau_h264_alter.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_vdpau_mpeg12.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_vdpau_mpeg4.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_decode_vdpau_vc1.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_vdpau.so

%ifarch %{ix86}
%files -n xine-output-video-vidix
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_vidix.so
%dir %{xine_pluginsdir}/vidix

%files -n xine-output-video-vidix-cyberblade
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/vidix/cyberblade*.so

# Please don't package vidix-genfb. genfb is just a sample driver.

%files -n xine-output-video-vidix-mach64
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/vidix/mach64*.so

%files -n xine-output-video-vidix-matrox
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/vidix/mga*.so

%files -n xine-output-video-vidix-nvidia
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/vidix/nvidia*.so

%files -n xine-output-video-vidix-permedia
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/vidix/pm*.so

%files -n xine-output-video-vidix-radeon
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/vidix/radeon*.so

%files -n xine-output-video-vidix-rage128
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/vidix/rage128*.so

%files -n xine-output-video-vidix-savage
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/vidix/savage*.so

%files -n xine-output-video-vidix-sis
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/vidix/sis*.so

%files -n xine-output-video-vidix-unichrome
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/vidix/unichrome*.so
%endif

%files -n xine-output-video-xcb
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_xcbshm.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_xcbxv.so

%if %{with directfb}
%files -n xine-output-video-xdirectfb
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_xdirectfb.so
%endif

%files -n xine-output-video-xshm
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_xshm.so

%files -n xine-output-video-xv
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_xv.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_xvmc.so
%attr(755,root,root) %{xine_pluginsdir}/xineplug_vo_out_xxmc.so

%files -n xine-post-ffmpeg
%defattr(644,root,root,755)
%attr(755,root,root) %{xine_pluginsdir}/post/xineplug_post_planar.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xine-lib.spec,v $
Revision 1.304  2012/03/03 20:13:00  arekm
- release 3

Revision 1.303  2012/02/25 11:01:02  qboosh
- new packages: xine-decode-modplug and xine-output-video-vdpau
- BR: libxdg-basedir (to always use system library instead of included version)
- -devel now requires ffmpeg-devel (for libavutil), libxdg-basedir-devel, zlib-devel
- killed remnants of xvid (not supported since long time; use ffmpeg instead)
- disable silent-rules (using V=1 because of .am hackery)
- vdr has been merged upstream, drop separate source and bcond

Revision 1.302  2012/02/15 10:18:48  arekm
- rel 2; stk is dead for over 5 years; drop it

Revision 1.301  2012/02/15 08:33:46  arekm
- up to 1.2.1

Revision 1.300  2012/02/12 08:19:10  arekm
- release 6

Revision 1.299  2012/01/13 20:30:51  arekm
- release 5

Revision 1.298  2012/01/12 14:14:03  lisu
- rel 4

Revision 1.297  2011/12/26 11:39:02  gotar
- use VDR patch source directly, patch this in our repo when needed (it is
  now, patch doesn't apply)

Revision 1.296  2011/11/25 19:20:16  qboosh
- versioned install time dependencies
- release 3

Revision 1.295  2011/11/25 18:08:10  qboosh
- added a52 patch
- use external liba52, libdts, libmad; separated -decode-a52, -decode-dts, -decode-mad

Revision 1.294  2011/11/25 15:49:29  qboosh
- updated BRs (ac, gt, vcdimager; added libv4l)
- separated -decode-faad (FAAD audio decoder)
- separated -decode-ffmpeg ("ff" decoder)
- separated -decode-image (ImageMagick-based image decoder)
- separated -decode-mng (MNG decoder/demuxer)
- separated -post-ffmpeg (libpostproc-based post_planar plugin)
- moved SPU decoder to -input-dvd (decoder uses libdvdread library)
- updated todo (xine-lib now uses external libdvdnav;
  more external libs to check: a52dec, libdts, libmad)

Revision 1.293  2011/11/24 19:23:02  arekm
- release 2

Revision 1.292  2011/11/24 18:46:06  arekm
- rel 1 then

Revision 1.291  2011/11/24 08:15:36  lmasko
- Up to 1.1.20. Builds and seems to work fine on i686.

Revision 1.290  2011/11/24 07:24:12  arekm
- release 14

Revision 1.289  2011/07/24 15:26:30  arekm
- release 13

Revision 1.288  2011/07/01 11:52:45  lisu
- rel 12

Revision 1.287  2011/07/01 11:52:32  lisu
- reverse changes in "workaround"

Revision 1.286  2011/07/01 09:07:05  lisu
- better "Workaround for xine-lib.spec - libstk.spec updating"

Revision 1.285  2011/06/29 21:29:13  lisu
- rel 11

Revision 1.284  2011/06/28 15:50:31  qboosh
- added pvr patch (build pvr input driver together with V4L2, not V4L1); moved pvr driver to xine-input-v4l package
- disable v4l1 driver by default

Revision 1.283  2011/06/27 20:02:59  qboosh
- added ffmpeg-0.8 patch

Revision 1.282  2011/06/27 09:56:44  lisu
- rel 10

Revision 1.281  2011/02/27 06:38:28  arekm
- release 9

Revision 1.280  2011/02/27 06:21:52  arekm
- release 8

Revision 1.279  2011/02/26 07:49:17  arekm
- release 7

Revision 1.278  2011/02/04 23:44:52  sparky
- %description <name> for correct %package

Revision 1.277  2010/12/12 20:33:05  qboosh
- removed obsolete rms

Revision 1.276  2010/12/10 15:09:25  lisu
- description how to update xine-lib - libstk properly

Revision 1.275  2010/12/09 12:31:11  lisu
- rel 6

Revision 1.274  2010/12/09 09:47:30  lisu
- rel 5

Revision 1.273  2010/12/09 09:42:10  lisu
- rel 4

Revision 1.272  2010/12/09 08:40:27  lisu
- rel 3 (new ImageMagick)

Revision 1.271  2010/12/08 14:14:56  lisu
- rel 2

Revision 1.270  2010/11/28 18:24:01  shadzik
- updated pluginsdir

Revision 1.269  2010/11/28 18:19:49  shadzik
- typo

Revision 1.268  2010/11/28 18:19:17  shadzik
- add patch6

Revision 1.267  2010/11/28 18:06:26  shadzik
- 1.1.19
- not tested

Revision 1.266  2010/11/26 09:02:52  hawk
- release 7

Revision 1.265  2010/08/24 20:58:25  hawk
- release 6

Revision 1.264  2010/06/18 06:48:29  arekm
- release 5

Revision 1.263  2010/06/18 06:35:43  arekm
- release 4

Revision 1.262  2010/06/03 11:22:40  baggins
- rel 3
- esound is dead

Revision 1.261  2010/04/25 20:10:21  arekm
- release 2

Revision 1.260  2010/03/07 15:11:31  charles
- up to 1.1.18.1

Revision 1.259  2010/03/07 15:05:06  charles
- updated to 1.1.18
- BR: faad2-devel, ffmpeg-devel
- updated TODO

Revision 1.258  2010/03/04 14:09:26  baggins
- rel 3

Revision 1.257  2010/02/28 12:45:59  hawk
- release 2

Revision 1.256  2010/01/21 09:19:24  amateja
- updated to 1.1.17

Revision 1.255  2010/01/18 13:19:36  amateja
- release 8

Revision 1.254  2010/01/18 12:32:44  amateja
- bootstrap

Revision 1.253  2010/01/18 07:33:53  amateja
- release 7

Revision 1.252  2009/12/31 16:31:00  megabajt
- release 6

Revision 1.251  2009/10/26 22:14:04  sls
- BR: libcaca-devel >= 0.99-0.beta14

Revision 1.250  2009/07/16 08:46:08  arekm
- release 5

Revision 1.249  2009/06/03 14:43:19  baggins
- rel 4

Revision 1.248  2009/05/02 11:49:54  areq
- rel 3

Revision 1.247  2009/05/02 11:07:34  areq
- proper pluginsdir (1.26)

Revision 1.246  2009/05/02 00:08:45  areq
- 1.1.16.3

Revision 1.245  2009/04/15 12:42:01  blues
- security blocker: CVE-2009-1274

Revision 1.244  2009/03/12 14:40:22  arekm
- up to 1.1.16.2

Revision 1.243  2009/01/17 11:28:26  arekm
- up to 1.1.16.1

Revision 1.242  2008/11/26 10:22:11  hawk
- release 9

Revision 1.241  2008/10/14 09:43:10  hawk
- release 8

Revision 1.240  2008/10/02 08:12:13  arekm
- rel 7

Revision 1.239  2008/10/02 07:55:03  arekm
- api compat fixes

Revision 1.238  2008/10/02 06:55:56  arekm
- release 6

Revision 1.237  2008/10/01 21:12:55  wolf
- rel 5

Revision 1.236  2008/08/24 14:50:47  paszczus
- added Patch from upstream; rel 4

Revision 1.235  2008/08/24 11:14:09  arekm
- release 3

Revision 1.234  2008/08/24 11:00:19  arekm
- release 2

Revision 1.233  2008/08/15 19:05:26  twittner
- up to 1.1.15 (several security fixes including CVE-2008-3231)

Revision 1.232  2008/08/10 10:13:25  adamg
- updated to 1.1.13

Revision 1.231  2008/08/07 19:09:53  arekm
- suggest w32package instead of requiring it

Revision 1.230  2008-06-03 11:26:28  arekm
- rel 5

Revision 1.229  2008-06-03 08:01:07  arekm
- rel 4

Revision 1.228  2008-06-01 21:35:25  qboosh
- package missing files

Revision 1.227  2008-05-27 19:19:44  hawk
- fixed building with autoconf 2.62 / libtool 2.2.x
- release 3

Revision 1.226  2008-05-27 10:53:18  hawk
- release 2

Revision 1.225  2008-04-18 01:02:21  sls
- ver. 1.1.12 (fixes CVE-2008-1686)

Revision 1.224  2008-04-03 03:34:29  sls
- ... but it doesn't work

Revision 1.223  2008-04-03 02:13:59  sls
- sync XINE_PLUGINDIR and _pluginsdir

Revision 1.222  2008-04-03 01:37:48  sls
- ver. 1.1.11.1 (NFY); CVE-2008-1482, CVE-2008-0073 (1.1.11)

Revision 1.221  2008-03-20 17:22:37  qboosh
- support sparcv9 subarch

Revision 1.220  2008-03-19 14:02:30  tommat
- from now sparc is v8plus arch

Revision 1.219  2008-03-16 18:35:48  tommat
- another way of sparc build,
- removed sparc patch, mtune has no effect on instruction set.
- introduced --without-vis bcond for sparc

Revision 1.218  2008-02-07 08:55:00  ankry
- unix -> Unix, gpl -> GPL, etc.

Revision 1.217  2008-02-02 22:45:30  arekm
- rel 2

Revision 1.216  2008-01-29 13:51:44  shadzik
- 1.1.10 (fixes CVE-2006-1664)

Revision 1.215  2008-01-13 16:35:15  qboosh
- updated to 1.1.9.1 (fixes CVE-2008-0225)

Revision 1.214  2008-01-11 15:44:56  qboosh
- ghost soname symlink
- moved xine(5) man page to proper package

Revision 1.213  2008-01-10 20:18:31  arekm
- up to 1.1.9

Revision 1.212  2007/08/27 19:42:43  shadzik
- 1.1.8

Revision 1.211  2007/06/13 20:05:34  qboosh
- use external libmpcdec instead of internal old libmusepack

Revision 1.210  2007/06/07 15:28:47  shadzik
- add Obsoletes: xine-output-audio-arts (thx arekm)
- rel 2

Revision 1.209  2007/06/07 14:52:53  shadzik
- 1.1.7
- removed obsolete arts subpackage

Revision 1.208  2007/04/19 14:35:12  qboosh
- package xdirectfb plugin

Revision 1.207  2007/04/19 09:27:06  rotom
- up to 1.1.6

Revision 1.206  2007/04/15 11:36:07  qboosh
- updated to 1.1.5 (fixes CVE-2007-1246)
- pass real-codecs path (lib64-aware)
- added xcb video output package

Revision 1.205  2007/03/15 12:13:57  megabajt
- release 2 to rebuild with DirectFB 1.0.0

Revision 1.204  2007/02/14 07:14:04  arekm
- rel 1

Revision 1.203  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.202  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.201  2007/02/04 11:33:05  qboosh
- fixed wavpack plugin filename

Revision 1.200  2007/02/01 13:00:46  qboosh
- added wavpack plugin

Revision 1.199  2007/02/01 12:09:30  qboosh
- started update to 1.1.4
- updated sparc patch

Revision 1.198  2006/12/25 13:35:05  arekm
- rel 3

Revision 1.197  2006/12/11 22:09:17  pluto
- release 2.

Revision 1.196  2006/12/06 16:44:23  qboosh
- added CVE reference to rev. 1.185 changelog entry

Revision 1.195  2006/12/05 07:31:31  qboosh
- added -output-audio-jack

Revision 1.194  2006/12/05 06:35:47  qboosh
- now configure expects --with-fusionsound in place of --enable-fusionsound

Revision 1.193  2006/12/05 00:32:08  qboosh
- added sh patch, use system libtool.m4

Revision 1.192  2006/12/05 00:01:21  qboosh
- reenabled caca and sdl
- added am patch, added hack to kill AM_PROG_AS hack (failed with recent automake)

Revision 1.191  2006/12/04 22:55:13  qboosh
- unified smb bcond with mplayer (s/samba/smb/); use disable configure option

Revision 1.190  2006/12/04 22:52:41  qboosh
- updated some BRs

Revision 1.189  2006/12/04 20:55:34  qboosh
- BR: SDL-devel >= 1.2.11 (.pc file is needed for detection)

Revision 1.188  2006/12/04 19:38:04  qboosh
- caca support needs libcaca 0.99 (available from libcaca.spec:DEVEL)
- s/polypaudio/pulseaudio/, with Obsoletes (enabled by default, not tested yet)

Revision 1.187  2006/12/04 16:00:53  shadzik
- reverse caca and sdl bcond (they seem to build fine, but don't provide .so libraries = packaging fails)

Revision 1.186  2006/12/04 01:49:09  shadzik
- reverse vdr bcond untill vdr patch is updated (may take a while since it's a HUGE patch)

Revision 1.185  2006/12/04 00:48:26  shadzik
- 1.1.3 [fixes CVE-2006-6172]
- patch0 already upstream

Revision 1.184  2006/11/26 23:57:35  czarny
- rel 2 for rebuild

Revision 1.183  2006/11/17 16:31:53  qboosh
- polypaudio is dead, update for pulseaudio needed
- most patches here REQUIRE ac/am rebuild, so it must be fixed if broken

Revision 1.182  2006/11/17 12:17:39  czarny
- not with polypaudio, but with vdr!

Revision 1.181  2006/11/17 11:58:51  czarny
- I've managed to build with polypaudio > 0.8, so removed the BR

Revision 1.180  2006/08/26 09:57:50  luzik
- added VDR support

Revision 1.179  2006/07/24 11:40:46  freetz
- removed EA, not needed

Revision 1.178  2006/07/24 08:53:25  freetz
- hardcode /usr/lib/codecs

Revision 1.177  2006/07/24 08:49:23  freetz
- EA: ix86 for decode-w32dll

Revision 1.176  2006/07/12 06:49:39  glen
- adapter

Revision 1.175  2006/07/12 06:42:33  glen
- add todo

Revision 1.174  2006/07/11 22:30:15  qboosh
- added xine-decode-gdkpixbuf,xine-output-audio-fusionsound packages
- BR updates, release 1

Revision 1.173  2006/07/11 21:25:21  qboosh
- added CVE refs to previous commit message

Revision 1.172  2006/07/11 14:29:51  qboosh
- started update to 1.1.2, updated sparc,win32-path patches
  [fixes CVE-2005-4048 CVE-2006-1664 CVE-2006-2802]
- polypaudio off by default (not ready for 0.8+)

Revision 1.171  2006/04/10 17:07:00  glen
- fix vo_out opengl/xshm permissions, rel 5

Revision 1.170  2006/03/30 14:01:28  charles
- disable auto optimizations (use RPM_OPT_FLAGS)

Revision 1.169  2006/03/25 13:13:05  wolf
- rel 4 to rebuild with new libcdio

Revision 1.168  2006/02/15 17:45:14  wolf
- rel 3

Revision 1.167  2006/02/15 17:22:31  wolf
- modular xorg deps

Revision 1.166  2006/02/15 17:08:52  wolf
- removed old x11 path

Revision 1.165  2006/02/15 15:51:24  wolf
- cut changelog, rel 2

Revision 1.164  2006/01/24 12:33:04  charles
- BR DirectFB-devel up to >= 0.9.22
- BR: ImageMagick-devel (for xineplug_{dmx,deceode}_image.so)

Revision 1.163  2005/11/20 00:15:55  qboosh
- updated to 1.1.1
- updated syncfb,sparc,win32-path patches, removed obsolete gcc4,formatstring patches

Revision 1.162  2005/10/31 15:54:23  djurban
- without caca bcond added

Revision 1.161  2005/10/31 15:46:05  djurban
- add dvd and polypaudio bconds

Revision 1.160  2005/10/09 12:09:34  glen
- CAN-2005-2967 fix

Revision 1.159  2005/10/05 15:55:47  arekm
- rel 4

Revision 1.158  2005/10/05 15:16:30  arekm
- rel 3 (temporary)
